MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003732ATutorContentpublic2009-04-12 06:522009-07-21 08:50
Reportergreg 
Assigned Toharris 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.6.3 
Summary0003732: announcements tinymce emoticon paths
DescriptionEmoticons do not show up in annoucnements when added through the TinyMCE editor. There appears to be an extra "../" in the path to emoticon images.

see:
http://www.atutor.ca/view/7/17119/1.html [^]
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0003540)
harris (developer)
2009-05-29 12:34

trace:
load_editor() //include/lib/tinymce.inc.php
then the javascript
tiny_mce/plugins/emoticons/js/emoticons.js

getWindowArg('plugin_url') <-- problem?
(0003608)
harris (developer)
2009-06-08 11:43

Under
editor/add_news.php and
editor/edit_news.php

The following codes,
[code]
if (defined('AT_FORCE_GET_FILE') && AT_FORCE_GET_FILE) {
    $content_base_href = 'get.php/';
} else {
    $content_base_href = 'content/' . $_SESSION['course_id'] . '/';
}
[/code]

are there to alter $content_base_href.
The condition is true thus $content_base_href is set to get.php, doubling the path and thus it became 'get.php/get.php'.

I don't think this portion of the codes are needed as long as we don't have the filemanager associated with the announcement page.
(0003609)
harris (developer)
2009-06-08 11:47

commented out the suggested trunk of codes.


svn: 8524

- Issue History
Date Modified Username Field Change
2009-04-12 06:52 greg New Issue
2009-04-12 06:52 greg Affects version => SVN
2009-05-29 12:34 harris Note Added: 0003540
2009-06-08 11:43 harris Note Added: 0003608
2009-06-08 11:47 harris Status new => resolved
2009-06-08 11:47 harris Resolution open => fixed
2009-06-08 11:47 harris Assigned To => harris
2009-06-08 11:47 harris Note Added: 0003609
2009-06-12 09:32 greg Status resolved => new
2009-06-12 09:33 greg Status new => resolved
2009-06-12 09:33 greg Fixed in Version => 1.6.3
2009-07-21 08:50 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker